Bug 246626 - Pass invalid channel errors to rhn-download-manager
Summary: Pass invalid channel errors to rhn-download-manager
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend   
(Show other bugs)
Version: rhn500
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Stephen Herr
URL:
Whiteboard: US=16306
Keywords:
Depends On:
Blocks: 433460
TreeView+ depends on / blocked
 
Reported: 2007-07-03 14:16 UTC by James Bowes
Modified: 2013-01-10 09:54 UTC (History)
2 users (show)

Fixed In Version: 5.0.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-07 20:01:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bowes 2007-07-03 14:16:14 UTC
If rhn-download-manager tries to add downloads to a channel that doesn't exist,
RHN will raise an ISE. instead, report the error back to the client. see also:
http://rbgh.usersys.redhat.com/python/3060fbc706b030fb5867e8867e793be42f8c5ab1

Comment 1 James Bowes 2008-02-26 19:25:39 UTC
To test:
 * get the downloads for a channel:
   rhn-download-manager --server localhost --show-all --list rhel-i386-server-5
-o dls.csv
  * edit the file, remove all but one line (for simplicity), and edit the
channel label to a channel that doesn't exist
  * try and upload the data:
    rhn-download-manager --server localhost --upload dls.csv --no-validation
  * you should get a nicely formatted error message saying the channel is invalid

Comment 2 James Bowes 2008-02-27 17:10:53 UTC
requires rhn-content-mgmt-0.5.0 from brew

Comment 3 Amy Owens 2008-03-03 15:57:04 UTC
AO 3/3/08--verified in dev now get this error message: 
Error Message:
    Invalid channel rhel-amy
Error Class Code: 50
Error Class Info: Invalid information uploaded to the server

Comment 4 Stephen Herr 2008-03-14 19:28:16 UTC
SH 3/14/08--verified in qa. Now get this error message:

Error Message:
    Invalid channel rhel-sherr
Error Class Code: 50
Error Class Info: Invalid information uploaded to the server




Note You need to log in before you can comment on or make changes to this bug.